﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;

namespace SampleDynamicData.Adapter
{
   public class Adapter
    {
       public static readonly DependencyProperty DataProperty = DependencyProperty.RegisterAttached("Data", typeof(string), typeof(Adapter), new PropertyMetadata(null, OnPropertyChanged));

       public static List<DateTime> GetData(DependencyObject obj)
       {
           return (List<DateTime>)obj.GetValue(DataProperty);
       }

       public static void SetData(DependencyObject obj, List<DateTime> value)
       {
           obj.SetValue(DataProperty, value);
       }

        private static void OnPropertyChanged(DependencyObject d, DependencyPropertyChangedEventArgs e)
        {

        }
    }
}
